petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexGlobalToNaturalBegin

Rearranges a global Vector in the natural order.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGlobalToNaturalBegin(DM dm, Vec gv, Vec nv)

Collective on dm

### Input Parameters

| dm | - The distributed DMPlex
| gv | - The global Vec

### Output Parameters

nv -Vec in the canonical ordering distributed over all processors associated with gv

Note: The user must call DMPlexSetUseNaturalSF(dm, PETSC_TRUE) before DMPlexDistribute().

### See Also

DMPlexDistribute(), DMPlexDistributeField(), DMPlexNaturalToGlobalBegin(), DMPlexGlobalToNaturalEnd()

Level:intermediate
Location:src/dm/impls/plex/plexnatural.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages